japa.parser.ast.body

## Class AnnotationDeclaration

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.body.BodyDeclaration
    - - japa.parser.ast.body.TypeDeclaration
      - - japa.parser.ast.body.AnnotationDeclaration

    public final class AnnotationDeclaration
    extends TypeDeclaration

### Constructor Summary

Constructors
Constructor and Description
`AnnotationDeclaration()`
`AnnotationDeclaration(int beginLine, int beginColumn, int endLine, int endColumn, JavadocComment javaDoc, int modifiers, List<AnnotationExpr> annotations, String name, List<BodyDeclaration> members)`
`AnnotationDeclaration(int modifiers, String name)`
`AnnotationDeclaration(JavadocComment javaDoc, int modifiers, List<AnnotationExpr> annotations, String name, List<BodyDeclaration> members)`

### Method Summary

Methods
`<R,A> R` `accept(GenericVisitor<R,A> v, A arg)` Accept method for visitor support.
`<A> void` `accept(VoidVisitor<A> v, A arg)` Accept method for visitor support.

### Methods inherited from class japa.parser.ast.body.TypeDeclaration

`getMembers, getModifiers, getName, setMembers, setModifiers, setName`

### Methods inherited from class japa.parser.ast.body.BodyDeclaration

`getAnnotations, getJavaDoc, setAnnotations, setJavaDoc`

### Methods inherited from class japa.parser.ast.Node

`equals, getBeginColumn, getBeginLine, getData, getEndColumn, getEndLine, hashCode, setBeginColumn, setBeginLine, setData, setEndColumn, setEndLine, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AnnotationDeclaration

    public AnnotationDeclaration()

#### AnnotationDeclaration

    public AnnotationDeclaration(int modifiers,
                         String name)

#### AnnotationDeclaration

    public AnnotationDeclaration(JavadocComment javaDoc,
                         int modifiers,
                         List<AnnotationExpr> annotations,
                         String name,
                         List<BodyDeclaration> members)

#### AnnotationDeclaration

    public AnnotationDeclaration(int beginLine,
                         int beginColumn,
                         int endLine,
                         int endColumn,
                         JavadocComment javaDoc,
                         int modifiers,
                         List<AnnotationExpr> annotations,
                         String name,
                         List<BodyDeclaration> members)

### Method Detail

#### accept

    public <R,A> R accept(GenericVisitor<R,A> v,
                 A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `R` - the type the return value of the visitor
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor
Returns:
  the result of the visit

#### accept

    public <A> void accept(VoidVisitor<A> v,
                  A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor